import type { FC } from 'react';
interface UsercentricsScriptProps {
    settingsId: string;
    version?: 'production' | 'preview';
}
/**
 * The script tag that loads the Usercentrics Browser API.
 *
 * @example <caption>Default production mode</caption>
 * () => <UsercentricsScript settingsId="1234" />
 *
 * @example <caption>Preview mode for development</caption>
 * () => <UsercentricsScript settingsId="1234" version="preview" />
 */
export declare const UsercentricsScript: FC<UsercentricsScriptProps>;
export {};
