import React from 'react';
/**
 * The script tag that loads the Usercentrics Browser API.
 *
 * @example <caption>Default production mode</caption>
 * () => <UsercentricsScript settingsId="1234" />
 *
 * @example <caption>Preview mode for development</caption>
 * () => <UsercentricsScript settingsId="1234" version="preview" />
 */
export const UsercentricsScript = ({ settingsId, version }) => (React.createElement("script", { async: true, "data-settings-id": settingsId, "data-version": version, id: "usercentrics-cmp", src: "https://app.usercentrics.eu/browser-ui/latest/loader.js" }));
