import type { ServiceId } from '../types.js';
/**
 * Whether the specific Usercentrics service has been given consent.
 * Returns `true` or `false` based on consent status, or `null` when unknown (not yet loaded).
 *
 * @warn it's best to assume no consent until this hook returns `true`
 */
export declare const useHasServiceConsent: (serviceId: ServiceId) => boolean | null;
